> ## Documentation Index
> Fetch the complete documentation index at: https://generaltranslation.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Communities की खोज

> कीवर्ड के आधार पर Communities खोजें

export const Button = ({href, children}) => {
  return <div className="not-prose group">
    <a href={href}>
      <button className="flex items-center space-x-2.5 py-1 px-4 bg-primary-dark dark:bg-white text-white dark:text-gray-950 rounded-full group-hover:opacity-[0.9] font-medium">
        <span>
          {children}
        </span>
        <svg width="3" height="24" viewBox="0 -9 3 24" class="h-6 rotate-0 overflow-visible"><path d="M0 0L3 3L0 6" fill="none" stroke="currentColor" stroke-width="1.5" stroke-linecap="round"></path></svg>
      </button>
    </a>
  </div>;
};

Communities Search endpoint की मदद से आप कीवर्ड के आधार पर Communities खोज सकते हैं। अपनी रुचि के विषयों से जुड़ी Communities खोजें।

<div id="overview">
  ## अवलोकन
</div>

<CardGroup cols={2}>
  <Card title="कीवर्ड खोज" icon="magnifying-glass">
    नाम और विवरण के आधार पर Communities खोजें
  </Card>

  <Card title="खोजें" icon="users-rectangle">
    शामिल होने के लिए Communities खोजें
  </Card>
</CardGroup>

***

<div id="endpoint">
  ## एंडपॉइंट
</div>

| मेथड | एंडपॉइंट                                                            | विवरण             |
| :--- | :------------------------------------------------------------------ | :---------------- |
| GET  | [`/2/communities/search`](/hi/x-api/communities/search-communities) | Communities खोजें |

***

<div id="parameters">
  ## पैरामीटर
</div>

| पैरामीटर           | विवरण                           |
| :----------------- | :------------------------------ |
| `query`            | खोज क्वेरी (आवश्यक)             |
| `max_results`      | प्रति पृष्ठ परिणाम (अधिकतम 100) |
| `community.fields` | Community के अतिरिक्त फ़ील्ड्स  |

***

<div id="example-request">
  ## उदाहरण अनुरोध
</div>

```bash theme={null}
curl "https://api.x.com/2/communities/search?\
query=Python&\
max_results=10&\
community.fields=name,description,member_count" \
  -H "Authorization: Bearer $BEARER_TOKEN"
```

***

<div id="getting-started">
  ## शुरुआत करें
</div>

<Note>
  **पूर्वापेक्षाएँ**

  * एक स्वीकृत [डेवलपर खाता](https://developer.x.com/en/portal/petition/essential/basic-info)
  * डेवलपर कंसोल में एक [Project और ऐप](/hi/resources/fundamentals/developer-apps)
  * आपके ऐप की [कुंजियाँ और टोकन](/hi/resources/fundamentals/authentication)
</Note>

<CardGroup cols={2}>
  <Card title="Communities खोज" icon="users-rectangle" href="/hi/x-api/communities/lookup/introduction">
    ID से Communities खोजें
  </Card>

  <Card title="API संदर्भ" icon="code" href="/hi/x-api/communities/search-communities">
    endpoint का पूरा दस्तावेज़ीकरण
  </Card>
</CardGroup>
